Package org.apache.batchee.jaxb

## Class ObjectFactory

- java.lang.Object
- - org.apache.batchee.jaxb.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the org.apache.batchee.jaxb package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectFactory()` | Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.batchee.jaxb

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Analyzer` | `createAnalyzer()` | Create an instance of `Analyzer`
    `BatchArtifactRef` | `createBatchArtifactRef()` | Create an instance of `BatchArtifactRef`
    `BatchArtifacts` | `createBatchArtifacts()` | Create an instance of `BatchArtifacts`
    `JAXBElement<BatchArtifacts>` | `createBatchArtifacts​(BatchArtifacts value)` | Create an instance of `JAXBElement``<``BatchArtifacts``>`}
    `Batchlet` | `createBatchlet()` | Create an instance of `Batchlet`
    `CheckpointAlgorithm` | `createCheckpointAlgorithm()` | Create an instance of `CheckpointAlgorithm`
    `Chunk` | `createChunk()` | Create an instance of `Chunk`
    `Collector` | `createCollector()` | Create an instance of `Collector`
    `Decision` | `createDecision()` | Create an instance of `Decision`
    `End` | `createEnd()` | Create an instance of `End`
    `ExceptionClassFilter` | `createExceptionClassFilter()` | Create an instance of `ExceptionClassFilter`
    `ExceptionClassFilter.Exclude` | `createExceptionClassFilterExclude()` | Create an instance of `ExceptionClassFilter.Exclude`
    `ExceptionClassFilter.Include` | `createExceptionClassFilterInclude()` | Create an instance of `ExceptionClassFilter.Include`
    `Fail` | `createFail()` | Create an instance of `Fail`
    `Flow` | `createFlow()` | Create an instance of `Flow`
    `ItemProcessor` | `createItemProcessor()` | Create an instance of `ItemProcessor`
    `ItemReader` | `createItemReader()` | Create an instance of `ItemReader`
    `ItemWriter` | `createItemWriter()` | Create an instance of `ItemWriter`
    `JAXBElement<JSLJob>` | `createJob​(JSLJob value)` | Create an instance of `JAXBElement``<``JSLJob``>`}
    `JSLJob` | `createJSLJob()` | Create an instance of `JSLJob`
    `JSLProperties` | `createJSLProperties()` | Create an instance of `JSLProperties`
    `Listener` | `createListener()` | Create an instance of `Listener`
    `Listeners` | `createListeners()` | Create an instance of `Listeners`
    `Next` | `createNext()` | Create an instance of `Next`
    `Partition` | `createPartition()` | Create an instance of `Partition`
    `PartitionMapper` | `createPartitionMapper()` | Create an instance of `PartitionMapper`
    `PartitionPlan` | `createPartitionPlan()` | Create an instance of `PartitionPlan`
    `PartitionReducer` | `createPartitionReducer()` | Create an instance of `PartitionReducer`
    `Property` | `createProperty()` | Create an instance of `Property`
    `Split` | `createSplit()` | Create an instance of `Split`
    `Step` | `createStep()` | Create an instance of `Step`
    `Stop` | `createStop()` | Create an instance of `Stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.apache.batchee.jaxb

  - ### Method Detail

    - #### createChunk

          public Chunk createChunk()

      Create an instance of `Chunk`

    - #### createPartitionPlan

          public PartitionPlan createPartitionPlan()

      Create an instance of `PartitionPlan`

    - #### createItemWriter

          public ItemWriter createItemWriter()

      Create an instance of `ItemWriter`

    - #### createListener

          public Listener createListener()

      Create an instance of `Listener`

    - #### createListeners

          public Listeners createListeners()

      Create an instance of `Listeners`

    - #### createCheckpointAlgorithm

          public CheckpointAlgorithm createCheckpointAlgorithm()

      Create an instance of `CheckpointAlgorithm`

    - #### createBatchArtifactRef

          public BatchArtifactRef createBatchArtifactRef()

      Create an instance of `BatchArtifactRef`

    - #### createDecision

          public Decision createDecision()

      Create an instance of `Decision`

    - #### createItemProcessor

          public ItemProcessor createItemProcessor()

      Create an instance of `ItemProcessor`

    - #### createExceptionClassFilter

          public ExceptionClassFilter createExceptionClassFilter()

      Create an instance of `ExceptionClassFilter`

    - #### createFail

          public Fail createFail()

      Create an instance of `Fail`

    - #### createPartitionMapper

          public PartitionMapper createPartitionMapper()

      Create an instance of `PartitionMapper`

    - #### createStep

          public Step createStep()

      Create an instance of `Step`

    - #### createJSLJob

          public JSLJob createJSLJob()

      Create an instance of `JSLJob`

    - #### createEnd

          public End createEnd()

      Create an instance of `End`

    - #### createPartition

          public Partition createPartition()

      Create an instance of `Partition`

    - #### createSplit

          public Split createSplit()

      Create an instance of `Split`

    - #### createNext

          public Next createNext()

      Create an instance of `Next`

    - #### createFlow

          public Flow createFlow()

      Create an instance of `Flow`

    - #### createJSLProperties

          public JSLProperties createJSLProperties()

      Create an instance of `JSLProperties`

    - #### createExceptionClassFilterInclude

          public ExceptionClassFilter.Include createExceptionClassFilterInclude()

      Create an instance of `ExceptionClassFilter.Include`

    - #### createBatchArtifacts

          public BatchArtifacts createBatchArtifacts()

      Create an instance of `BatchArtifacts`

    - #### createStop

          public Stop createStop()

      Create an instance of `Stop`

    - #### createAnalyzer

          public Analyzer createAnalyzer()

      Create an instance of `Analyzer`

    - #### createBatchlet

          public Batchlet createBatchlet()

      Create an instance of `Batchlet`

    - #### createItemReader

          public ItemReader createItemReader()

      Create an instance of `ItemReader`

    - #### createPartitionReducer

          public PartitionReducer createPartitionReducer()

      Create an instance of `PartitionReducer`

    - #### createProperty

          public Property createProperty()

      Create an instance of `Property`

    - #### createExceptionClassFilterExclude

          public ExceptionClassFilter.Exclude createExceptionClassFilterExclude()

      Create an instance of `ExceptionClassFilter.Exclude`

    - #### createCollector

          public Collector createCollector()

      Create an instance of `Collector`

    - #### createBatchArtifacts

          public JAXBElement<BatchArtifacts> createBatchArtifacts​(BatchArtifacts value)

      Create an instance of `JAXBElement``<``BatchArtifacts``>`}

    - #### createJob

          public JAXBElement<JSLJob> createJob​(JSLJob value)

      Create an instance of `JAXBElement``<``JSLJob``>`}